## Nizzypedia's Sieve of Eratosthenes

Welcome to Nizzypedia's Sieve of Eratosthenes – a Python library for efficient prime number generation.


### Get Started:

1. Install the library: pip install sieve_of_eratosthenes
2. Use the example code to generate prime numbers.

### Features:

1. Fast & Efficient: Implements the Sieve of Eratosthenes algorithm for optimal prime number generation.

2. User-Friendly API: Simple functions for easy integration into your projects.

3. Versatile: Ideal for cryptography, number theory, and algorithmic problem-solving.

### Installation:
```bash
pip install sieve_of_eratosthenes
```

### Example Usage:
```bash
from sieve_of_eratosthenes import sieve_of_eratosthenes

primes_up_to_30 = sieve_of_eratosthenes(30)
print("Prime numbers up to 30:", primes_up_to_30)
```


#### GitHub Repository: [Sieve of Eratosthenes Algo By Nizzypedia ](https://github.com/umairniaziofficial/Sieve-of-Eratosthenes.git)